Cant put this to work



  • My first time building a mirror, and i cant run the app, actually i can rin it but is just stays all black. Can you guys help me out?
    alt text
    alt text
    alt text



  • Can you access the locale server on 192.168.1.xxx:8080?



  • I didnt even knew the app created a local server



  • @goncalovsc If you look in the terminal you can see that its creating a server on 8080. If you can access it you should have a correct configuration. Can you see anything that indicate that the program is working on your rpi?



  • Hi I am having the same problem here. I am using a PI 3 with a fresh installation of Raspbian. I followed the instructions under Manual Installation. The I copied config/config.js.sample to config/config.js This worked but when I start the software with npm start I only get a black screen. Also when I start the software with node serveronly and use Chrome on a different computer I only get a black screen in the browser. In the console of Chrome I get the following errors (install log is below the console output):

    Failed to load resource: the server responded with a status of 404 (Not Found)
    Roboto-Condensed-Regular.woff2 Failed to load resource: the server responded with a status of 404 (Not Found)
    Roboto-Condensed-Regular.woff Failed to load resource: the server responded with a status of 404 (Not Found)
    main.js:404 Initializing MagicMirror.
    translator.js:197 Loading core translation file: translations/en.json
    translator.js:219 Loading core translation fallback file: translations/en.json
    loader.js:182 Load script: modules/default/alert//alert.js
    Roboto-Condensed-Regular.ttf Failed to load resource: the server responded with a status of 404 (Not Found)
    module.js:477 Module registered: alert
    loader.js:152 Bootstrapping module: alert
    loader.js:182 Load script: modules/default/alert/classie.js
    loader.js:182 Load script: modules/default/alert/modernizr.custom.js
    loader.js:182 Load script: modules/default/alert/notificationFx.js
    loader.js:157 Scripts loaded for: alert
    loader.js:197 Load stylesheet: modules/default/alert/ns-default.css
    loader.js:159 Styles loaded for: alert
    translator.js:170 alert - Load translation fallback: translations/en.json
    loader.js:161 Translations loaded for: alert
    loader.js:182 Load script: modules/default/updatenotification//updatenotification.js
    module.js:477 Module registered: updatenotification
    loader.js:152 Bootstrapping module: updatenotification
    loader.js:157 Scripts loaded for: updatenotification
    loader.js:159 Styles loaded for: updatenotification
    loader.js:161 Translations loaded for: updatenotification
    loader.js:182 Load script: modules/default/clock//clock.js
    module.js:477 Module registered: clock
    loader.js:152 Bootstrapping module: clock
    loader.js:182 Load script: vendor/node_modules/moment/min/moment-with-locales.js
    :8080/vendor/node_modules/moment/min/moment-with-locales.js Failed to load resource: the server responded with a status of 404 (Not Found)
    loader.js:190 Error on loading script: vendor/node_modules/moment/min/moment-with-locales.js
    script.onerror @ loader.js:190
    loader.js:182 Load script: vendor/node_modules/moment-timezone/builds/moment-timezone-with-data.js
    :8080/vendor/node_modules/moment-timezone/builds/moment-timezone-with-data.js Failed to load resource: the server responded with a status of 404 (Not Found)
    loader.js:190 Error on loading script: vendor/node_modules/moment-timezone/builds/moment-timezone-with-data.js
    script.onerror @ loader.js:190
    loader.js:157 Scripts loaded for: clock
    loader.js:197 Load stylesheet: modules/default/clock/clock_styles.css
    loader.js:159 Styles loaded for: clock
    loader.js:161 Translations loaded for: clock
    loader.js:182 Load script: modules/default/calendar//calendar.js
    module.js:477 Module registered: calendar
    loader.js:152 Bootstrapping module: calendar
    loader.js:237 File already loaded: moment.js
    loader.js:157 Scripts loaded for: calendar
    loader.js:197 Load stylesheet: modules/default/calendar/calendar.css
    loader.js:197 Load stylesheet: vendor/node_modules/font-awesome/css/font-awesome.min.css
    192.168.178.40/:1 Refused to apply style from 'http://192.168.178.40:8080/vendor/node_modules/font-awesome/css/font-awesome.min.css' because its MIME type ('text/html') is not a supported stylesheet MIME type, and strict MIME checking is enabled.
    loader.js:206 Error on loading stylesheet: vendor/node_modules/font-awesome/css/font-awesome.min.css
    stylesheet.onerror @ loader.js:206
    loader.js:159 Styles loaded for: calendar
    loader.js:161 Translations loaded for: calendar
    loader.js:182 Load script: modules/default/compliments//compliments.js
    module.js:477 Module registered: compliments
    loader.js:152 Bootstrapping module: compliments
    loader.js:237 File already loaded: moment.js
    loader.js:157 Scripts loaded for: compliments
    loader.js:159 Styles loaded for: compliments
    loader.js:161 Translations loaded for: compliments
    loader.js:182 Load script: modules/default/currentweather//currentweather.js
    module.js:477 Module registered: currentweather
    loader.js:152 Bootstrapping module: currentweather
    loader.js:237 File already loaded: moment.js
    loader.js:157 Scripts loaded for: currentweather
    loader.js:197 Load stylesheet: vendor/node_modules/weathericons/css/weather-icons.css
    192.168.178.40/:1 Refused to apply style from 'http://192.168.178.40:8080/vendor/node_modules/weathericons/css/weather-icons.css' because its MIME type ('text/html') is not a supported stylesheet MIME type, and strict MIME checking is enabled.
    loader.js:206 Error on loading stylesheet: vendor/node_modules/weathericons/css/weather-icons.css
    stylesheet.onerror @ loader.js:206
    loader.js:197 Load stylesheet: modules/default/currentweather/currentweather.css
    loader.js:159 Styles loaded for: currentweather
    loader.js:161 Translations loaded for: currentweather
    loader.js:182 Load script: modules/default/weatherforecast//weatherforecast.js
    module.js:477 Module registered: weatherforecast
    loader.js:152 Bootstrapping module: weatherforecast
    loader.js:237 File already loaded: moment.js
    loader.js:157 Scripts loaded for: weatherforecast
    loader.js:237 File already loaded: weather-icons.css
    loader.js:197 Load stylesheet: modules/default/weatherforecast/weatherforecast.css
    loader.js:159 Styles loaded for: weatherforecast
    loader.js:161 Translations loaded for: weatherforecast
    loader.js:182 Load script: modules/default/newsfeed//newsfeed.js
    module.js:477 Module registered: newsfeed
    loader.js:152 Bootstrapping module: newsfeed
    loader.js:237 File already loaded: moment.js
    loader.js:157 Scripts loaded for: newsfeed
    loader.js:159 Styles loaded for: newsfeed
    loader.js:161 Translations loaded for: newsfeed
    loader.js:197 Load stylesheet: css/custom.css
    alert.js:151 Starting module: alert
    updatenotification.js:10 Start updatenotification
    clock.js:40 Starting module: clock
    clock.js:49 Uncaught ReferenceError: moment is not defined
    at Class.start (clock.js:49)
    at startModules (loader.js:55)
    at loader.js:40
    at HTMLLinkElement.stylesheet.onload (loader.js:203)
    7clock.js:77 Uncaught ReferenceError: moment is not defined
    at Class.getDom (clock.js:77)
    at updateDom (main.js:99)
    at Object.updateDom (main.js:468)
    at Class.updateDom (module.js:358)
    at clock.js:45
    192.168.178.40/:1 Refused to apply style from 'http://192.168.178.40:8080/vendor/node_modules/font-awesome/css/font-awesome.min.css' because its MIME type ('text/html') is not a supported stylesheet MIME type, and strict MIME checking is enabled.
    192.168.178.40/:1 Refused to apply style from 'http://192.168.178.40:8080/vendor/node_modules/weathericons/css/weather-icons.css' because its MIME type ('text/html') is not a supported stylesheet MIME type, and strict MIME checking is enabled.
    32clock.js:77 Uncaught ReferenceError: moment is not defined
    at Class.getDom (clock.js:77)
    at updateDom (main.js:99)
    at Object.updateDom (main.js:468)
    at Class.updateDom (module.js:358)
    at clock.js:45
    getDom @ clock.js:77
    updateDom @ main.js:99
    updateDom @ main.js:468
    updateDom @ module.js:358
    (anonymous) @ clock.js:45
    

    the install log looks like this:

    npm install
    npm WARN deprecated nomnom@1.8.1: Package no longer supported. Contact support@npmjs.com for more info.
    npm WARN prefer global coffeescript@1.10.0 should be installed with -g
    npm WARN prefer global jsonlint@1.6.2 should be installed with -g
    
    > uws@9.14.0 install /123/MagicMirror/node_modules/uws
    > node-gyp rebuild > build_log.txt 2>&1 || exit 0
    
    
    > electron-chromedriver@1.7.1 install /123/MagicMirror/node_modules/electron-chromedriver
    > node ./download-chromedriver.js
    
    
    > electron@1.4.15 postinstall /123/MagicMirror/node_modules/electron
    > node install.js
    
    
    > magicmirror@2.2.2 install /123/MagicMirror
    > cd vendor && npm install
    
    
    > nunjucks@3.1.2 postinstall /123/MagicMirror/vendor/node_modules/nunjucks
    > node postinstall-build.js src
    
    magicmirror-vendors@ /123/MagicMirror/vendor
    ├── font-awesome@4.7.0 
    ├── moment@2.20.1 
    ├── moment-timezone@0.5.14 
    ├─┬ nunjucks@3.1.2 
    │ ├── a-sync-waterfall@1.0.0 
    │ ├── asap@2.0.6 
    │ ├─┬ chokidar@1.7.0 
    │ │ ├─┬ anymatch@1.3.2 
    │ │ │ ├─┬ micromatch@2.3.11 
    │ │ │ │ ├─┬ arr-diff@2.0.0 
    │ │ │ │ │ └── arr-flatten@1.1.0 
    │ │ │ │ ├── array-unique@0.2.1 
    │ │ │ │ ├─┬ braces@1.8.5 
    │ │ │ │ │ ├─┬ expand-range@1.8.2 
    │ │ │ │ │ │ └─┬ fill-range@2.2.3 
    │ │ │ │ │ │   ├── is-number@2.1.0 
    │ │ │ │ │ │   ├── isobject@2.1.0 
    │ │ │ │ │ │   ├─┬ randomatic@1.1.7 
    │ │ │ │ │ │   │ ├─┬ is-number@3.0.0 
    │ │ │ │ │ │   │ │ └── kind-of@3.2.2 
    │ │ │ │ │ │   │ └── kind-of@4.0.0 
    │ │ │ │ │ │   └── repeat-string@1.6.1 
    │ │ │ │ │ ├── preserve@0.2.0 
    │ │ │ │ │ └── repeat-element@1.1.2 
    │ │ │ │ ├─┬ expand-brackets@0.1.5 
    │ │ │ │ │ └── is-posix-bracket@0.1.1 
    │ │ │ │ ├── extglob@0.3.2 
    │ │ │ │ ├── filename-regex@2.0.1 
    │ │ │ │ ├─┬ kind-of@3.2.2 
    │ │ │ │ │ └── is-buffer@1.1.6 
    │ │ │ │ ├─┬ object.omit@2.0.1 
    │ │ │ │ │ ├─┬ for-own@0.1.5 
    │ │ │ │ │ │ └── for-in@1.0.2 
    │ │ │ │ │ └── is-extendable@0.1.1 
    │ │ │ │ ├─┬ parse-glob@3.0.4 
    │ │ │ │ │ ├── glob-base@0.3.0 
    │ │ │ │ │ └── is-dotfile@1.0.3 
    │ │ │ │ └─┬ regex-cache@0.4.4 
    │ │ │ │   └─┬ is-equal-shallow@0.1.3 
    │ │ │ │     └── is-primitive@2.0.0 
    │ │ │ └─┬ normalize-path@2.1.1 
    │ │ │   └── remove-trailing-separator@1.1.0 
    │ │ ├── async-each@1.0.1 
    │ │ ├── glob-parent@2.0.0 
    │ │ ├── inherits@2.0.3 
    │ │ ├─┬ is-binary-path@1.0.1 
    │ │ │ └── binary-extensions@1.11.0 
    │ │ ├─┬ is-glob@2.0.1 
    │ │ │ └── is-extglob@1.0.0 
    │ │ ├── path-is-absolute@1.0.1 
    │ │ └─┬ readdirp@2.1.0 
    │ │   ├── graceful-fs@4.1.11 
    │ │   ├─┬ minimatch@3.0.4 
    │ │   │ └─┬ brace-expansion@1.1.11 
    │ │   │   ├── balanced-match@1.0.0 
    │ │   │   └── concat-map@0.0.1 
    │ │   ├─┬ readable-stream@2.3.4 
    │ │   │ ├── core-util-is@1.0.2 
    │ │   │ ├── isarray@1.0.0 
    │ │   │ ├── process-nextick-args@2.0.0 
    │ │   │ ├── safe-buffer@5.1.1 
    │ │   │ ├── string_decoder@1.0.3 
    │ │   │ └── util-deprecate@1.0.2 
    │ │   └── set-immediate-shim@1.0.1 
    │ ├── postinstall-build@5.0.1 
    │ └─┬ yargs@3.32.0 
    │   ├── camelcase@2.1.1 
    │   ├─┬ cliui@3.2.0 
    │   │ ├─┬ strip-ansi@3.0.1 
    │   │ │ └── ansi-regex@2.1.1 
    │   │ └── wrap-ansi@2.1.0 
    │   ├── decamelize@1.2.0 
    │   ├─┬ os-locale@1.4.0 
    │   │ └─┬ lcid@1.0.0 
    │   │   └── invert-kv@1.0.0 
    │   ├─┬ string-width@1.0.2 
    │   │ ├── code-point-at@1.1.0 
    │   │ └─┬ is-fullwidth-code-point@1.0.0 
    │   │   └── number-is-nan@1.0.1 
    │   ├── window-size@0.1.4 
    │   └── y18n@3.2.1 
    └── weathericons@2.1.0 
    
    npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@^1.0.0 (node_modules/chokidar/node_modules/fsevents):
    npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.1.3: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"arm"})
    
    > magicmirror@2.2.2 postinstall /123/MagicMirror
    > sh installers/postinstall/postinstall.sh && npm run install-fonts
    
    MagicMirror installation successful!
    
    > magicmirror@2.2.2 install-fonts /123/MagicMirror
    > cd fonts && npm install
    
    magicmirror-fonts@ /123/MagicMirror/fonts
    └── roboto-fontface@0.8.0 
    
    magicmirror@2.2.2 /123/MagicMirror
    ├─┬ body-parser@1.18.2 
    │ ├── bytes@3.0.0 
    │ ├── content-type@1.0.4 
    │ ├─┬ debug@2.6.9 
    │ │ └── ms@2.0.0 
    │ ├── depd@1.1.2 
    │ ├─┬ http-errors@1.6.2 
    │ │ ├── depd@1.1.1 
    │ │ ├── inherits@2.0.3 
    │ │ ├── setprototypeof@1.0.3 
    │ │ └── statuses@1.4.0 
    │ ├─┬ on-finished@2.3.0 
    │ │ └── ee-first@1.1.1 
    │ ├── qs@6.5.1 
    │ ├─┬ raw-body@2.3.2 
    │ │ └── unpipe@1.0.0 
    │ └─┬ type-is@1.6.16 
    │   └── media-typer@0.3.0 
    ├─┬ chai@4.1.2 
    │ ├── assertion-error@1.1.0 
    │ ├── check-error@1.0.2 
    │ ├── deep-eql@3.0.1 
    │ ├── get-func-name@2.0.0 
    │ ├── pathval@1.1.0 
    │ └── type-detect@4.0.8 
    ├── chai-as-promised@7.1.1 
    ├── colors@1.1.2 
    ├── current-week-number@1.0.7 
    ├─┬ electron@1.4.15 
    │ ├─┬ electron-download@3.3.0 
    │ │ ├─┬ fs-extra@0.30.0 
    │ │ │ ├── graceful-fs@4.1.11 
    │ │ │ ├── jsonfile@2.4.0 
    │ │ │ ├── klaw@1.3.1 
    │ │ │ └── rimraf@2.6.2 
    │ │ ├── home-path@1.0.5 
    │ │ ├── minimist@1.2.0 
    │ │ ├─┬ nugget@2.0.1 
    │ │ │ ├── pretty-bytes@1.0.4 
    │ │ │ ├─┬ progress-stream@1.2.0 
    │ │ │ │ ├── speedometer@0.1.4 
    │ │ │ │ └─┬ through2@0.2.3 
    │ │ │ │   └─┬ xtend@2.1.2 
    │ │ │ │     └── object-keys@0.4.0 
    │ │ │ ├─┬ single-line-log@1.1.2 
    │ │ │ │ └─┬ string-width@1.0.2 
    │ │ │ │   ├── code-point-at@1.1.0 
    │ │ │ │   └── is-fullwidth-code-point@1.0.0 
    │ │ │ └── throttleit@0.0.2 
    │ │ ├─┬ path-exists@2.1.0 
    │ │ │ └─┬ pinkie-promise@2.0.1 
    │ │ │   └── pinkie@2.0.4 
    │ │ ├─┬ rc@1.2.5 
    │ │ │ ├── deep-extend@0.4.2 
    │ │ │ └── ini@1.3.5 
    │ │ ├── semver@5.5.0 
    │ │ └─┬ sumchecker@1.3.1 
    │ │   └── es6-promise@4.2.4 
    │ └─┬ extract-zip@1.6.6 
    │   ├─┬ concat-stream@1.6.0 
    │   │ ├─┬ readable-stream@2.3.4 
    │   │ │ ├── isarray@1.0.0 
    │   │ │ ├── process-nextick-args@2.0.0 
    │   │ │ ├── string_decoder@1.0.3 
    │   │ │ └── util-deprecate@1.0.2 
    │   │ └── typedarray@0.0.6 
    │   ├─┬ mkdirp@0.5.0 
    │   │ └── minimist@0.0.8 
    │   └─┬ yauzl@2.4.1 
    │     └─┬ fd-slicer@1.0.1 
    │       └── pend@1.2.0 
    ├─┬ express@4.16.2 
    │ ├─┬ accepts@1.3.4 
    │ │ └── negotiator@0.6.1 
    │ ├── array-flatten@1.1.1 
    │ ├── content-disposition@0.5.2 
    │ ├── cookie@0.3.1 
    │ ├── cookie-signature@1.0.6 
    │ ├── encodeurl@1.0.2 
    │ ├── escape-html@1.0.3 
    │ ├── etag@1.8.1 
    │ ├─┬ finalhandler@1.1.0 
    │ │ └── statuses@1.3.1 
    │ ├── fresh@0.5.2 
    │ ├── merge-descriptors@1.0.1 
    │ ├── methods@1.1.2 
    │ ├── parseurl@1.3.2 
    │ ├── path-to-regexp@0.1.7 
    │ ├─┬ proxy-addr@2.0.3 
    │ │ ├── forwarded@0.1.2 
    │ │ └── ipaddr.js@1.6.0 
    │ ├── range-parser@1.2.0 
    │ ├── safe-buffer@5.1.1 
    │ ├─┬ send@0.16.1 
    │ │ ├── destroy@1.0.4 
    │ │ ├── mime@1.4.1 
    │ │ └── statuses@1.3.1 
    │ ├── serve-static@1.13.1 
    │ ├── setprototypeof@1.1.0 
    │ ├── statuses@1.3.1 
    │ ├── utils-merge@1.0.1 
    │ └── vary@1.1.2 
    ├─┬ express-ipfilter@0.3.1 
    │ ├── ip@1.1.5 
    │ ├── lodash@3.10.1 
    │ └─┬ range_check@1.4.0 
    │   ├── ip6@0.0.4 
    │   └── ipaddr.js@1.2.0 
    ├─┬ feedme@1.2.0 
    │ ├── clarinet@0.12.0 
    │ ├── eventyoshi@0.2.0 
    │ └── sax@1.2.4 
    ├─┬ grunt@1.0.2 
    │ ├── coffeescript@1.10.0 
    │ ├─┬ dateformat@1.0.12 
    │ │ ├── get-stdin@4.0.1 
    │ │ └─┬ meow@3.7.0 
    │ │   ├─┬ camelcase-keys@2.1.0 
    │ │   │ └── camelcase@2.1.1 
    │ │   ├── decamelize@1.2.0 
    │ │   ├── map-obj@1.0.1 
    │ │   ├─┬ read-pkg-up@1.0.1 
    │ │   │ ├── find-up@1.1.2 
    │ │   │ └─┬ read-pkg@1.1.0 
    │ │   │   ├─┬ load-json-file@1.1.0 
    │ │   │   │ ├── parse-json@2.2.0 
    │ │   │   │ └─┬ strip-bom@2.0.0 
    │ │   │   │   └── is-utf8@0.2.1 
    │ │   │   └── path-type@1.1.0 
    │ │   ├─┬ redent@1.0.0 
    │ │   │ ├─┬ indent-string@2.1.0 
    │ │   │ │ └── repeating@2.0.1 
    │ │   │ └── strip-indent@1.0.1 
    │ │   └── trim-newlines@1.0.0 
    │ ├── eventemitter2@0.4.14 
    │ ├── exit@0.1.2 
    │ ├─┬ findup-sync@0.3.0 
    │ │ └── glob@5.0.15 
    │ ├─┬ glob@7.0.6 
    │ │ ├── fs.realpath@1.0.0 
    │ │ ├─┬ inflight@1.0.6 
    │ │ │ └── wrappy@1.0.2 
    │ │ └── once@1.4.0 
    │ ├─┬ grunt-cli@1.2.0 
    │ │ └── resolve@1.1.7 
    │ ├── grunt-known-options@1.1.0 
    │ ├─┬ grunt-legacy-log@1.0.0 
    │ │ ├─┬ grunt-legacy-log-utils@1.0.0 
    │ │ │ └── lodash@4.3.0 
    │ │ └── underscore.string@3.2.3 
    │ ├─┬ grunt-legacy-util@1.0.0 
    │ │ ├── async@1.5.2 
    │ │ ├── getobject@0.1.0 
    │ │ ├── lodash@4.3.0 
    │ │ └─┬ which@1.2.14 
    │ │   └── isexe@2.0.0 
    │ ├─┬ js-yaml@3.5.5 
    │ │ ├── argparse@1.0.10 
    │ │ └── esprima@2.7.3 
    │ ├─┬ minimatch@3.0.4 
    │ │ └─┬ brace-expansion@1.1.11 
    │ │   └── concat-map@0.0.1 
    │ ├─┬ nopt@3.0.6 
    │ │ └── abbrev@1.1.1 
    │ ├── path-is-absolute@1.0.1 
    │ └── rimraf@2.2.8 
    ├─┬ grunt-eslint@20.1.0 
    │ ├─┬ chalk@2.3.1 
    │ │ ├─┬ ansi-styles@3.2.0 
    │ │ │ └─┬ color-convert@1.9.1 
    │ │ │   └── color-name@1.1.3 
    │ │ └─┬ supports-color@5.2.0 
    │ │   └── has-flag@3.0.0 
    │ └─┬ eslint@4.18.1 
    │   ├─┬ ajv@5.5.2 
    │   │ ├── co@4.6.0 
    │   │ ├── fast-deep-equal@1.1.0 
    │   │ ├── fast-json-stable-stringify@2.0.0 
    │   │ └── json-schema-traverse@0.3.1 
    │   ├─┬ babel-code-frame@6.26.0 
    │   │ └── js-tokens@3.0.2 
    │   ├─┬ chalk@2.3.1 
    │   │ ├── ansi-styles@3.2.0 
    │   │ └── supports-color@5.2.0 
    │   ├─┬ cross-spawn@5.1.0 
    │   │ ├─┬ lru-cache@4.1.1 
    │   │ │ ├── pseudomap@1.0.2 
    │   │ │ └── yallist@2.1.2 
    │   │ └─┬ shebang-command@1.2.0 
    │   │   └── shebang-regex@1.0.0 
    │   ├── debug@3.1.0 
    │   ├── doctrine@2.1.0 
    │   ├─┬ eslint-scope@3.7.1 
    │   │ ├── esrecurse@4.2.1 
    │   │ └── estraverse@4.2.0 
    │   ├── eslint-visitor-keys@1.0.0 
    │   ├─┬ espree@3.5.3 
    │   │ ├── acorn@5.5.0 
    │   │ └─┬ acorn-jsx@3.0.1 
    │   │   └── acorn@3.3.0 
    │   ├── esquery@1.0.0 
    │   ├── esutils@2.0.2 
    │   ├── functional-red-black-tree@1.0.1 
    │   ├── globals@11.3.0 
    │   ├─┬ inquirer@3.3.0 
    │   │ ├── ansi-escapes@3.0.0 
    │   │ ├─┬ chalk@2.3.1 
    │   │ │ ├── ansi-styles@3.2.0 
    │   │ │ └── supports-color@5.2.0 
    │   │ ├─┬ cli-cursor@2.1.0 
    │   │ │ └─┬ restore-cursor@2.0.0 
    │   │ │   └─┬ onetime@2.0.1 
    │   │ │     └── mimic-fn@1.2.0 
    │   │ ├── cli-width@2.2.0 
    │   │ ├─┬ external-editor@2.1.0 
    │   │ │ ├── chardet@0.4.2 
    │   │ │ └─┬ tmp@0.0.33 
    │   │ │   └── os-tmpdir@1.0.2 
    │   │ ├── figures@2.0.0 
    │   │ ├── lodash@4.17.5 
    │   │ ├── mute-stream@0.0.7 
    │   │ ├─┬ run-async@2.3.0 
    │   │ │ └── is-promise@2.1.0 
    │   │ ├── rx-lite@4.0.8 
    │   │ ├── rx-lite-aggregates@4.0.8 
    │   │ ├─┬ string-width@2.1.1 
    │   │ │ └── is-fullwidth-code-point@2.0.0 
    │   │ └─┬ strip-ansi@4.0.0 
    │   │   └── ansi-regex@3.0.0 
    │   ├── is-resolvable@1.1.0 
    │   ├─┬ js-yaml@3.10.0 
    │   │ └── esprima@4.0.0 
    │   ├── json-stable-stringify-without-jsonify@1.0.1 
    │   ├─┬ levn@0.3.0 
    │   │ ├── prelude-ls@1.1.2 
    │   │ └── type-check@0.3.2 
    │   ├── lodash@4.17.5 
    │   ├─┬ mkdirp@0.5.1 
    │   │ └── minimist@0.0.8 
    │   ├── natural-compare@1.4.0 
    │   ├─┬ optionator@0.8.2 
    │   │ ├── deep-is@0.1.3 
    │   │ ├── fast-levenshtein@2.0.6 
    │   │ └── wordwrap@1.0.0 
    │   ├── path-is-inside@1.0.2 
    │   ├── pluralize@7.0.0 
    │   ├── progress@2.0.0 
    │   ├─┬ require-uncached@1.0.3 
    │   │ ├─┬ caller-path@0.1.0 
    │   │ │ └── callsites@0.2.0 
    │   │ └── resolve-from@1.0.1 
    │   └─┬ strip-ansi@4.0.0 
    │     └── ansi-regex@3.0.0 
    ├─┬ grunt-jsonlint@1.1.0 
    │ ├─┬ jsonlint@1.6.2 
    │ │ ├── JSV@4.0.2 
    │ │ └─┬ nomnom@1.8.1 
    │ │   ├─┬ chalk@0.4.0 
    │ │   │ ├── ansi-styles@1.0.0 
    │ │   │ ├── has-color@0.1.7 
    │ │   │ └── strip-ansi@0.1.1 
    │ │   └── underscore@1.6.0 
    │ └── strip-json-comments@2.0.1 
    ├─┬ grunt-markdownlint@1.1.0 
    │ └─┬ markdownlint@0.7.0 
    │   └─┬ markdown-it@8.4.0 
    │     ├── entities@1.1.1 
    │     ├── linkify-it@2.0.3 
    │     ├── mdurl@1.0.1 
    │     └── uc.micro@1.0.5 
    ├─┬ grunt-stylelint@0.9.0 
    │ └─┬ chalk@1.1.3 
    │   ├── ansi-styles@2.2.1 
    │   ├─┬ has-ansi@2.0.0 
    │   │ └── ansi-regex@2.1.1 
    │   ├── strip-ansi@3.0.1 
    │   └── supports-color@2.0.0 
    ├─┬ grunt-yamllint@0.3.0 
    │ ├─┬ async@2.6.0 
    │ │ └── lodash@4.17.5 
    │ └─┬ js-yaml@3.10.0 
    │   └── esprima@4.0.0 
    ├─┬ helmet@3.11.0 
    │ ├── dns-prefetch-control@0.1.0 
    │ ├── dont-sniff-mimetype@1.0.0 
    │ ├── expect-ct@0.1.0 
    │ ├── frameguard@3.0.0 
    │ ├─┬ helmet-csp@2.7.0 
    │ │ ├── camelize@1.0.0 
    │ │ ├── content-security-policy-builder@2.0.0 
    │ │ ├── dasherize@2.0.0 
    │ │ ├── lodash.reduce@4.6.0 
    │ │ └── platform@1.3.5 
    │ ├── hide-powered-by@1.0.0 
    │ ├── hpkp@2.0.0 
    │ ├── hsts@2.1.0 
    │ ├── ienoopen@1.0.0 
    │ ├── nocache@2.0.0 
    │ ├── referrer-policy@1.1.0 
    │ └── x-xss-protection@1.0.0 
    ├─┬ http-auth@3.2.3 
    │ ├─┬ apache-crypt@1.2.1 
    │ │ └── unix-crypt-td-js@1.0.0 
    │ ├── apache-md5@1.1.2 
    │ ├── bcryptjs@2.4.3 
    │ └── uuid@3.2.1 
    ├── iconv-lite@0.4.19 
    ├─┬ jshint@2.9.5 
    │ ├── cli@1.0.1 
    │ ├─┬ console-browserify@1.1.0 
    │ │ └── date-now@0.1.4 
    │ ├─┬ htmlparser2@3.8.3 
    │ │ ├── domelementtype@1.3.0 
    │ │ ├── domhandler@2.3.0 
    │ │ ├─┬ domutils@1.5.1 
    │ │ │ └─┬ dom-serializer@0.1.0 
    │ │ │   └── domelementtype@1.1.3 
    │ │ ├── entities@1.0.0 
    │ │ └─┬ readable-stream@1.1.14 
    │ │   ├── core-util-is@1.0.2 
    │ │   ├── isarray@0.0.1 
    │ │   └── string_decoder@0.10.31 
    │ ├── lodash@3.7.0 
    │ ├── shelljs@0.3.0 
    │ └── strip-json-comments@1.0.4 
    ├─┬ mocha@4.1.0 
    │ ├── browser-stdout@1.3.0 
    │ ├── commander@2.11.0 
    │ ├── debug@3.1.0 
    │ ├── diff@3.3.1 
    │ ├── escape-string-regexp@1.0.5 
    │ ├── glob@7.1.2 
    │ ├── growl@1.10.3 
    │ ├── he@1.1.1 
    │ ├─┬ mkdirp@0.5.1 
    │ │ └── minimist@0.0.8 
    │ └─┬ supports-color@4.4.0 
    │   └── has-flag@2.0.0 
    ├─┬ mocha-each@1.1.0 
    │ └── sprintf-js@1.0.3 
    ├── mocha-logger@1.0.5 
    ├── moment@2.20.1 
    ├─┬ request@2.83.0 
    │ ├── aws-sign2@0.7.0 
    │ ├── aws4@1.6.0 
    │ ├── caseless@0.12.0 
    │ ├─┬ combined-stream@1.0.6 
    │ │ └── delayed-stream@1.0.0 
    │ ├── extend@3.0.1 
    │ ├── forever-agent@0.6.1 
    │ ├─┬ form-data@2.3.2 
    │ │ └── asynckit@0.4.0 
    │ ├─┬ har-validator@5.0.3 
    │ │ └── har-schema@2.0.0 
    │ ├─┬ hawk@6.0.2 
    │ │ ├── boom@4.3.1 
    │ │ ├─┬ cryptiles@3.1.2 
    │ │ │ └── boom@5.2.0 
    │ │ ├── hoek@4.2.1 
    │ │ └── sntp@2.1.0 
    │ ├─┬ http-signature@1.2.0 
    │ │ ├── assert-plus@1.0.0 
    │ │ ├─┬ jsprim@1.4.1 
    │ │ │ ├── extsprintf@1.3.0 
    │ │ │ ├── json-schema@0.2.3 
    │ │ │ └── verror@1.10.0 
    │ │ └─┬ sshpk@1.13.1 
    │ │   ├── asn1@0.2.3 
    │ │   ├── bcrypt-pbkdf@1.0.1 
    │ │   ├── dashdash@1.14.1 
    │ │   ├── ecc-jsbn@0.1.1 
    │ │   ├── getpass@0.1.7 
    │ │   ├── jsbn@0.1.1 
    │ │   └── tweetnacl@0.14.5 
    │ ├── is-typedarray@1.0.0 
    │ ├── isstream@0.1.2 
    │ ├── json-stringify-safe@5.0.1 
    │ ├─┬ mime-types@2.1.18 
    │ │ └── mime-db@1.33.0 
    │ ├── oauth-sign@0.8.2 
    │ ├── performance-now@2.1.0 
    │ ├── stringstream@0.0.5 
    │ ├─┬ tough-cookie@2.3.4 
    │ │ └── punycode@1.4.1 
    │ └── tunnel-agent@0.6.0 
    ├── rrule-alt@2.2.8 
    ├─┬ simple-git@1.91.0 
    │ └── debug@3.1.0 
    ├─┬ socket.io@2.0.4 
    │ ├─┬ engine.io@3.1.5 
    │ │ ├── base64id@1.0.0 
    │ │ ├── debug@3.1.0 
    │ │ ├─┬ engine.io-parser@2.1.2 
    │ │ │ ├── after@0.8.2 
    │ │ │ ├── arraybuffer.slice@0.0.7 
    │ │ │ └── blob@0.0.4 
    │ │ ├── uws@9.14.0 
    │ │ └─┬ ws@3.3.3 
    │ │   ├── async-limiter@1.0.0 
    │ │   └── ultron@1.1.1 
    │ ├── socket.io-adapter@1.1.1 
    │ ├─┬ socket.io-client@2.0.4 
    │ │ ├── backo2@1.0.2 
    │ │ ├── base64-arraybuffer@0.1.5 
    │ │ ├── component-bind@1.0.0 
    │ │ ├── component-emitter@1.2.1 
    │ │ ├─┬ engine.io-client@3.1.5 
    │ │ │ ├── component-inherit@0.0.3 
    │ │ │ ├── debug@3.1.0 
    │ │ │ ├── xmlhttprequest-ssl@1.5.5 
    │ │ │ └── yeast@0.1.2 
    │ │ ├── has-cors@1.1.0 
    │ │ ├── indexof@0.0.1 
    │ │ ├── object-component@0.0.3 
    │ │ ├─┬ parseqs@0.0.5 
    │ │ │ └─┬ better-assert@1.0.2 
    │ │ │   └── callsite@1.0.0 
    │ │ ├── parseuri@0.0.5 
    │ │ └── to-array@0.1.4 
    │ └─┬ socket.io-parser@3.1.3 
    │   ├── debug@3.1.0 
    │   ├─┬ has-binary2@1.0.2 
    │   │ └── isarray@2.0.1 
    │   └── isarray@2.0.1 
    ├─┬ spectron@3.7.3 
    │ ├── dev-null@0.1.1 
    │ ├─┬ electron-chromedriver@1.7.1 
    │ │ └─┬ electron-download@4.1.0 
    │ │   ├── env-paths@1.0.0 
    │ │   ├── fs-extra@2.1.2 
    │ │   ├── path-exists@3.0.0 
    │ │   └── sumchecker@2.0.2 
    │ ├─┬ split@1.0.1 
    │ │ └── through@2.3.8 
    │ └─┬ webdriverio@4.11.0 
    │   ├─┬ archiver@2.1.1 
    │   │ ├─┬ archiver-utils@1.3.0 
    │   │ │ ├─┬ lazystream@1.0.0 
    │   │ │ │ └─┬ readable-stream@2.3.4 
    │   │ │ │   ├── isarray@1.0.0 
    │   │ │ │   └── string_decoder@1.0.3 
    │   │ │ ├── lodash@4.17.5 
    │   │ │ └─┬ readable-stream@2.3.4 
    │   │ │   ├── isarray@1.0.0 
    │   │ │   └── string_decoder@1.0.3 
    │   │ ├── async@2.6.0 
    │   │ ├── buffer-crc32@0.2.13 
    │   │ ├── lodash@4.17.5 
    │   │ ├─┬ readable-stream@2.3.4 
    │   │ │ ├── isarray@1.0.0 
    │   │ │ └── string_decoder@1.0.3 
    │   │ ├─┬ tar-stream@1.5.5 
    │   │ │ ├─┬ bl@1.2.1 
    │   │ │ │ └─┬ readable-stream@2.3.4 
    │   │ │ │   ├── isarray@1.0.0 
    │   │ │ │   └── string_decoder@1.0.3 
    │   │ │ ├── end-of-stream@1.4.1 
    │   │ │ ├─┬ readable-stream@2.3.4 
    │   │ │ │ ├── isarray@1.0.0 
    │   │ │ │ └── string_decoder@1.0.3 
    │   │ │ └── xtend@4.0.1 
    │   │ └─┬ zip-stream@1.2.0 
    │   │   ├─┬ compress-commons@1.2.2 
    │   │   │ ├─┬ crc32-stream@2.0.0 
    │   │   │ │ ├── crc@3.5.0 
    │   │   │ │ └─┬ readable-stream@2.3.4 
    │   │   │ │   ├── isarray@1.0.0 
    │   │   │ │   └── string_decoder@1.0.3 
    │   │   │ └─┬ readable-stream@2.3.4 
    │   │   │   ├── isarray@1.0.0 
    │   │   │   └── string_decoder@1.0.3 
    │   │   ├── lodash@4.17.5 
    │   │   └─┬ readable-stream@2.3.4 
    │   │     ├── isarray@1.0.0 
    │   │     └── string_decoder@1.0.3 
    │   ├─┬ babel-runtime@6.26.0 
    │   │ ├── core-js@2.5.3 
    │   │ └── regenerator-runtime@0.11.1 
    │   ├─┬ css-parse@2.0.0 
    │   │ └─┬ css@2.2.1 
    │   │   ├─┬ source-map@0.1.43 
    │   │   │ └── amdefine@1.0.1 
    │   │   ├─┬ source-map-resolve@0.3.1 
    │   │   │ ├── atob@1.1.3 
    │   │   │ ├── resolve-url@0.2.1 
    │   │   │ └── source-map-url@0.3.0 
    │   │   └── urix@0.1.0 
    │   ├── css-value@0.0.1 
    │   ├── deepmerge@2.0.1 
    │   ├── ejs@2.5.7 
    │   ├─┬ gaze@1.1.2 
    │   │ └─┬ globule@1.2.0 
    │   │   └── lodash@4.17.5 
    │   ├─┬ mkdirp@0.5.1 
    │   │ └── minimist@0.0.8 
    │   ├── npm-install-package@2.1.0 
    │   ├─┬ optimist@0.6.1 
    │   │ ├── minimist@0.0.10 
    │   │ └── wordwrap@0.0.3 
    │   ├── q@1.5.1 
    │   ├── rgb2hex@0.1.0 
    │   ├─┬ supports-color@5.0.1 
    │   │ └── has-flag@2.0.0 
    │   ├─┬ url@0.11.0 
    │   │ ├── punycode@1.3.2 
    │   │ └── querystring@0.2.0 
    │   ├── wdio-dot-reporter@0.0.9 
    │   └── wgxpath@1.0.0 
    ├─┬ stylelint@8.4.0 
    │ ├─┬ autoprefixer@7.2.6 
    │ │ ├─┬ browserslist@2.11.3 
    │ │ │ └── electron-to-chromium@1.3.34 
    │ │ ├── caniuse-lite@1.0.30000810 
    │ │ ├── normalize-range@0.1.2 
    │ │ └── num2fraction@1.2.2 
    │ ├── balanced-match@1.0.0 
    │ ├─┬ chalk@2.3.1 
    │ │ ├── ansi-styles@3.2.0 
    │ │ └── supports-color@5.2.0 
    │ ├─┬ cosmiconfig@3.1.0 
    │ │ ├── is-directory@0.3.1 
    │ │ ├─┬ js-yaml@3.10.0 
    │ │ │ └── esprima@4.0.0 
    │ │ ├─┬ parse-json@3.0.0 
    │ │ │ └─┬ error-ex@1.3.1 
    │ │ │   └── is-arrayish@0.2.1 
    │ │ └── require-from-string@2.0.1 
    │ ├── debug@3.1.0 
    │ ├─┬ execall@1.0.0 
    │ │ └─┬ clone-regexp@1.0.0 
    │ │   ├── is-regexp@1.0.0 
    │ │   └── is-supported-regexp-flag@1.0.0 
    │ ├─┬ file-entry-cache@2.0.0 
    │ │ ├─┬ flat-cache@1.3.0 
    │ │ │ ├── circular-json@0.3.3 
    │ │ │ ├─┬ del@2.2.2 
    │ │ │ │ ├── globby@5.0.0 
    │ │ │ │ ├── is-path-cwd@1.0.0 
    │ │ │ │ ├─┬ is-path-in-cwd@1.0.0 
    │ │ │ │ │ └── is-path-inside@1.0.1 
    │ │ │ │ └── pify@2.3.0 
    │ │ │ └─┬ write@0.2.1 
    │ │ │   └─┬ mkdirp@0.5.1 
    │ │ │     └── minimist@0.0.8 
    │ │ └── object-assign@4.1.1 
    │ ├── get-stdin@5.0.1 
    │ ├─┬ globby@7.1.1 
    │ │ ├─┬ array-union@1.0.2 
    │ │ │ └── array-uniq@1.0.3 
    │ │ ├─┬ dir-glob@2.0.0 
    │ │ │ ├── arrify@1.0.1 
    │ │ │ └─┬ path-type@3.0.0 
    │ │ │   └── pify@3.0.0 
    │ │ └── slash@1.0.0 
    │ ├── globjoin@0.1.4 
    │ ├── html-tags@2.0.0 
    │ ├── ignore@3.3.7 
    │ ├── imurmurhash@0.1.4 
    │ ├── known-css-properties@0.5.0 
    │ ├── lodash@4.17.5 
    │ ├─┬ log-symbols@2.2.0 
    │ │ └─┬ chalk@2.3.1 
    │ │   ├── ansi-styles@3.2.0 
    │ │   └── supports-color@5.2.0 
    │ ├── mathml-tag-names@2.0.1 
    │ ├─┬ meow@4.0.0 
    │ │ ├─┬ camelcase-keys@4.2.0 
    │ │ │ ├── camelcase@4.1.0 
    │ │ │ ├── map-obj@2.0.0 
    │ │ │ └── quick-lru@1.1.0 
    │ │ ├── decamelize-keys@1.1.0 
    │ │ ├─┬ loud-rejection@1.6.0 
    │ │ │ ├─┬ currently-unhandled@0.4.1 
    │ │ │ │ └── array-find-index@1.0.2 
    │ │ │ └── signal-exit@3.0.2 
    │ │ ├─┬ minimist-options@3.0.2 
    │ │ │ └── is-plain-obj@1.1.0 
    │ │ ├─┬ normalize-package-data@2.4.0 
    │ │ │ ├── hosted-git-info@2.5.0 
    │ │ │ ├─┬ is-builtin-module@1.0.0 
    │ │ │ │ └── builtin-modules@1.1.1 
    │ │ │ └─┬ validate-npm-package-license@3.0.3 
    │ │ │   ├─┬ spdx-correct@3.0.0 
    │ │ │   │ └── spdx-license-ids@3.0.0 
    │ │ │   └─┬ spdx-expression-parse@3.0.0 
    │ │ │     └── spdx-exceptions@2.1.0 
    │ │ ├─┬ read-pkg-up@3.0.0 
    │ │ │ ├─┬ find-up@2.1.0 
    │ │ │ │ └─┬ locate-path@2.0.0 
    │ │ │ │   ├─┬ p-locate@2.0.0 
    │ │ │ │   │ └─┬ p-limit@1.2.0 
    │ │ │ │   │   └── p-try@1.0.0 
    │ │ │ │   └── path-exists@3.0.0 
    │ │ │ └─┬ read-pkg@3.0.0 
    │ │ │   ├─┬ load-json-file@4.0.0 
    │ │ │   │ ├─┬ parse-json@4.0.0 
    │ │ │   │ │ └── json-parse-better-errors@1.0.1 
    │ │ │   │ └── strip-bom@3.0.0 
    │ │ │   └── path-type@3.0.0 
    │ │ ├─┬ redent@2.0.0 
    │ │ │ ├── indent-string@3.2.0 
    │ │ │ └── strip-indent@2.0.0 
    │ │ └── trim-newlines@2.0.0 
    │ ├─┬ micromatch@2.3.11 
    │ │ ├─┬ arr-diff@2.0.0 
    │ │ │ └── arr-flatten@1.1.0 
    │ │ ├── array-unique@0.2.1 
    │ │ ├─┬ braces@1.8.5 
    │ │ │ ├─┬ expand-range@1.8.2 
    │ │ │ │ └─┬ fill-range@2.2.3 
    │ │ │ │   ├── is-number@2.1.0 
    │ │ │ │   ├─┬ isobject@2.1.0 
    │ │ │ │   │ └── isarray@1.0.0 
    │ │ │ │   └─┬ randomatic@1.1.7 
    │ │ │ │     ├─┬ is-number@3.0.0 
    │ │ │ │     │ └── kind-of@3.2.2 
    │ │ │ │     └── kind-of@4.0.0 
    │ │ │ ├── preserve@0.2.0 
    │ │ │ └── repeat-element@1.1.2 
    │ │ ├─┬ expand-brackets@0.1.5 
    │ │ │ └── is-posix-bracket@0.1.1 
    │ │ ├── extglob@0.3.2 
    │ │ ├── filename-regex@2.0.1 
    │ │ ├── is-extglob@1.0.0 
    │ │ ├── is-glob@2.0.1 
    │ │ ├─┬ kind-of@3.2.2 
    │ │ │ └── is-buffer@1.1.6 
    │ │ ├─┬ normalize-path@2.1.1 
    │ │ │ └── remove-trailing-separator@1.1.0 
    │ │ ├─┬ object.omit@2.0.1 
    │ │ │ ├─┬ for-own@0.1.5 
    │ │ │ │ └── for-in@1.0.2 
    │ │ │ └── is-extendable@0.1.1 
    │ │ ├─┬ parse-glob@3.0.4 
    │ │ │ ├─┬ glob-base@0.3.0 
    │ │ │ │ └── glob-parent@2.0.0 
    │ │ │ └── is-dotfile@1.0.3 
    │ │ └─┬ regex-cache@0.4.4 
    │ │   └─┬ is-equal-shallow@0.1.3 
    │ │     └── is-primitive@2.0.0 
    │ ├── normalize-selector@0.2.0 
    │ ├── pify@3.0.0 
    │ ├─┬ postcss@6.0.19 
    │ │ ├─┬ chalk@2.3.1 
    │ │ │ └── ansi-styles@3.2.0 
    │ │ ├── source-map@0.6.1 
    │ │ └── supports-color@5.2.0 
    │ ├─┬ postcss-html@0.12.0 
    │ │ ├─┬ htmlparser2@3.9.2 
    │ │ │ └─┬ readable-stream@2.3.4 
    │ │ │   ├── isarray@1.0.0 
    │ │ │   └── string_decoder@1.0.3 
    │ │ ├─┬ remark@8.0.0 
    │ │ │ ├─┬ remark-parse@4.0.0 
    │ │ │ │ ├── collapse-white-space@1.0.3 
    │ │ │ │ ├── is-alphabetical@1.0.1 
    │ │ │ │ ├── is-decimal@1.0.1 
    │ │ │ │ ├── is-whitespace-character@1.0.1 
    │ │ │ │ ├── is-word-character@1.0.1 
    │ │ │ │ ├── markdown-escapes@1.0.1 
    │ │ │ │ ├─┬ parse-entities@1.1.1 
    │ │ │ │ │ ├── character-entities@1.2.1 
    │ │ │ │ │ ├── character-entities-legacy@1.1.1 
    │ │ │ │ │ ├── character-reference-invalid@1.1.1 
    │ │ │ │ │ ├── is-alphanumerical@1.0.1 
    │ │ │ │ │ └── is-hexadecimal@1.0.1 
    │ │ │ │ ├── repeat-string@1.6.1 
    │ │ │ │ ├── state-toggle@1.0.0 
    │ │ │ │ ├── trim@0.0.1 
    │ │ │ │ ├── trim-trailing-lines@1.1.0 
    │ │ │ │ ├─┬ unherit@1.1.0 
    │ │ │ │ │ └── xtend@4.0.1 
    │ │ │ │ ├─┬ unist-util-remove-position@1.1.1 
    │ │ │ │ │ └── unist-util-visit@1.3.0 
    │ │ │ │ ├── vfile-location@2.0.2 
    │ │ │ │ └── xtend@4.0.1 
    │ │ │ ├─┬ remark-stringify@4.0.0 
    │ │ │ │ ├── ccount@1.0.2 
    │ │ │ │ ├── is-alphanumeric@1.0.0 
    │ │ │ │ ├── longest-streak@2.0.2 
    │ │ │ │ ├── markdown-table@1.1.1 
    │ │ │ │ ├─┬ mdast-util-compact@1.0.1 
    │ │ │ │ │ └─┬ unist-util-modify-children@1.1.1 
    │ │ │ │ │   └── array-iterate@1.1.1 
    │ │ │ │ ├─┬ stringify-entities@1.3.1 
    │ │ │ │ │ └── character-entities-html4@1.1.1 
    │ │ │ │ └── xtend@4.0.1 
    │ │ │ └─┬ unified@6.1.6 
    │ │ │   ├── bail@1.0.2 
    │ │ │   ├── trough@1.0.1 
    │ │ │   ├─┬ vfile@2.3.0 
    │ │ │   │ ├── replace-ext@1.0.0 
    │ │ │   │ ├── unist-util-stringify-position@1.1.1 
    │ │ │   │ └── vfile-message@1.0.0 
    │ │ │   ├── x-is-function@1.0.4 
    │ │ │   └── x-is-string@0.1.0 
    │ │ └─┬ unist-util-find-all-after@1.0.1 
    │ │   └── unist-util-is@2.1.1 
    │ ├─┬ postcss-less@1.1.3 
    │ │ └─┬ postcss@5.2.18 
    │ │   ├── js-base64@2.4.3 
    │ │   ├── source-map@0.5.7 
    │ │   └─┬ supports-color@3.2.3 
    │ │     └── has-flag@1.0.0 
    │ ├── postcss-media-query-parser@0.2.3 
    │ ├─┬ postcss-reporter@5.0.0 
    │ │ ├─┬ chalk@2.3.1 
    │ │ │ ├── ansi-styles@3.2.0 
    │ │ │ └── supports-color@5.2.0 
    │ │ └── lodash@4.17.5 
    │ ├── postcss-resolve-nested-selector@0.1.1 
    │ ├── postcss-safe-parser@3.0.1 
    │ ├─┬ postcss-sass@0.2.0 
    │ │ └─┬ gonzales-pe@4.2.3 
    │ │   └── minimist@1.1.3 
    │ ├── postcss-scss@1.0.4 
    │ ├─┬ postcss-selector-parser@3.1.1 
    │ │ ├─┬ dot-prop@4.2.0 
    │ │ │ └── is-obj@1.0.1 
    │ │ ├── indexes-of@1.0.1 
    │ │ └── uniq@1.0.1 
    │ ├── postcss-value-parser@3.3.0 
    │ ├── resolve-from@4.0.0 
    │ ├── specificity@0.3.2 
    │ ├─┬ string-width@2.1.1 
    │ │ ├── is-fullwidth-code-point@2.0.0 
    │ │ └─┬ strip-ansi@4.0.0 
    │ │   └── ansi-regex@3.0.0 
    │ ├── style-search@0.1.0 
    │ ├── sugarss@1.0.1 
    │ ├── svg-tags@1.0.0 
    │ └─┬ table@4.0.3 
    │   ├── UNMET PEER DEPENDENCY ajv@6.2.0
    │   ├── ajv-keywords@3.1.0 
    │   ├─┬ chalk@2.3.1 
    │   │ ├── ansi-styles@3.2.0 
    │   │ └── supports-color@5.2.0 
    │   ├── lodash@4.17.5 
    │   ├─┬ slice-ansi@1.0.0 
    │   │ └── is-fullwidth-code-point@2.0.0 
    │   └─┬ string-width@2.1.1 
    │     ├── is-fullwidth-code-point@2.0.0 
    │     └─┬ strip-ansi@4.0.0 
    │       └── ansi-regex@3.0.0 
    ├─┬ stylelint-config-standard@18.1.0 
    │ └── stylelint-config-recommended@2.1.0 
    ├─┬ time-grunt@1.4.0 
    │ ├─┬ date-time@1.1.0 
    │ │ └── time-zone@0.1.0 
    │ ├── figures@1.7.0 
    │ ├── hooker@0.2.3 
    │ ├── number-is-nan@1.0.1 
    │ ├─┬ pretty-ms@2.1.0 
    │ │ ├── is-finite@1.0.2 
    │ │ ├── parse-ms@1.0.1 
    │ │ └── plur@1.0.0 
    │ └── text-table@0.2.0 
    ├── valid-url@1.0.9 
    └─┬ walk@2.3.9 
      └── foreachasync@3.0.0 
    
    npm WARN ajv-keywords@3.1.0 requires a peer of ajv@^6.0.0 but none was installed.
    pi@raspi3:/123/MagicMirror $
    

  • Module Developer

    If I see it correctly, you are installing Magic Mirror in directory /123/MagicMirror. Usual place is in the home directory of user pi, i.e. /home/pi/MagicMirror or ~/MagicMirror.

    In your startup logs you get many errors on loading resources such as CSS files. I’d assume the web server you are starting as user pi when starting MagicMirror is not allowed to access files in an arbitrary root directory, which your directory /123/MagicMirror actually is.



  • Thank You! After installing it again at /home/pi/MagicMirror it works now. That should be pointed out in the instructions.


  • Module Developer

    @thk4711 said in Cant put this to work:

    After installing it again at /home/pi/MagicMirror it works now. That should be pointed out in the instructions.

    0_1519907089377_1.PNG


Log in to reply
 

Looks like your connection to MagicMirror Forum was lost, please wait while we try to reconnect.